|  | reflex::AbstractMatcher::Option Struct Reference updated Wed Apr 10 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
reflex::AbstractMatcher::Option Struct Reference

AbstractMatcher::Options for matcher engines. More...

`#include <absmatcher.h>`

## Public Member Functions

| Option ()

## Public Attributes

bool | A
| accept any/all (?^X) negative patterns as Const::REDO accept index codes More...
bool | N
| nullable, find may return empty match (N/A to scan, split, matches) More...
bool | W
| half-check for "whole words", check only left of < and right of > for non-word character More...
char | T
| tab size, must be a power of 2, default is 8, for column count and indent , , and More...

## Detailed Description

AbstractMatcher::Options for matcher engines.

## Constructor & Destructor Documentation

reflex::AbstractMatcher::Option::Option | ( |  | ) |

inline

## Member Data Documentation

bool reflex::AbstractMatcher::Option::A

accept any/all (?^X) negative patterns as Const::REDO accept index codes

bool reflex::AbstractMatcher::Option::N

nullable, find may return empty match (N/A to scan, split, matches)

char reflex::AbstractMatcher::Option::T

tab size, must be a power of 2, default is 8, for column count and indent , , and

bool reflex::AbstractMatcher::Option::W

half-check for "whole words", check only left of < and right of > for non-word character

The documentation for this struct was generated from the following file:

- absmatcher.h